part of 'exercise_by_plan_bloc.dart';

@immutable
abstract class ExerciseByPlanState extends Equatable {
  const ExerciseByPlanState();

  @override
  List<Object> get props => [];
}

class ExerciseByPlanStateInitial extends ExerciseByPlanState {
  const ExerciseByPlanStateInitial();
}

class ExerciseByPlanLoading extends ExerciseByPlanState {
  const ExerciseByPlanLoading();
}

// updated screen
class ExerciseByPlanReady extends ExerciseByPlanState {
  const ExerciseByPlanReady();
}

// error splash screen
class ExerciseByPlanError extends ExerciseByPlanState {
  final String message;
  const ExerciseByPlanError({this.message});

  @override
  List<Object> get props => [message];
}