import 'package:aitrainer_app/localization/app_localization.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class CustomerWelcomePage extends StatefulWidget{
  _CustomerWelcomePageState _state;

  _CustomerWelcomePageState createState() {
    _state = _CustomerWelcomePageState();
    return _state;
  }
}

class _CustomerWelcomePageState extends State<CustomerWelcomePage> {
  @override
  Widget build(BuildContext context) {

    return Scaffold(
        appBar: AppBar(
          title: Row(
            mainAxisAlignment: MainAxisAlignment.end,
            children: <Widget>[

              Image.asset(
                'asset/image/WT_long_logo.png',
                fit: BoxFit.cover,
                height: 65.0,
              ),
            ],
          ),
          backgroundColor: Colors.transparent,
          ),
          body: Container(
            decoration: BoxDecoration(
              image: DecorationImage(
                image: AssetImage('asset/image/WT_welcome.png'),
                fit: BoxFit.cover,
                alignment: Alignment.center,
              ),
            ),
            child: Center(
              child: Column(
                children: [
                  Divider(color: Colors.transparent,),
                  Divider(color: Colors.transparent,),
                  Divider(color: Colors.transparent,),
                  Divider(color: Colors.transparent,),
                  RaisedButton(

                    color: Colors.orange,
                    textColor: Colors.white,
                    child: InkWell(
                        child: Text(AppLocalizations.of(context).translate("Next"))),
                    onPressed: () => {

                      Navigator.of(context).pop(),
                      Navigator.of(context).pushNamed("home")
                    },
                  )
                ],
              ),
            )
          ),
    );
  }

}