import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ExerciseTypeWidget extends StatelessWidget {
  final String exerciseTypeName;
  //final DateTime lastModified;

  ExerciseTypeWidget({@required this.exerciseTypeName});

  @override
  Widget build(BuildContext context) {
    Widget exerciseTypeNameWidget = Text(
      this.exerciseTypeName,
      style: TextStyle(fontWeight: FontWeight.w800, color: Colors.blueAccent, backgroundColor: Colors.transparent),
    );

    Icon icon = Icon(Icons.person);

    return Card(
      color: Colors.white38,
      shadowColor: Colors.black54,
      elevation: 0.0,
      child: ListTile(
        leading: icon,
        title: exerciseTypeNameWidget,
        //subtitle: lastModifiedWidget,
      ),
    );
  }
}