import 'package:aitrainer_app/model/user.dart';
import 'package:aitrainer_app/service/customer_service.dart';

class UserRepository {
  User user;

  UserRepository() {
   this.createNewUser();
  }

  setEmail(String email) {
    this.user.email = email;
  }

  setPassword(String password) {
    this.user.password = password;
  }

  createNewUser() {
    this.user = User();
  }

  Future<void> addUser() async {
    final User modelUser = this.user;
    await CustomerApi().addUser(modelUser);
  }

  Future<void> getUser() async {
    final User modelUser = this.user;
    await CustomerApi().getUser(modelUser);
  }
}
